{ lib, config, ... }:
{
  programs.fish = {
    shellAliases = {
      # ls aliases
      ls = "eza --color $argv";
      la = "eza -l -all --color $argv";
      ll = "eza -l --color $argv";
      lt = "eza -l --color --git $argv";

      # lazygit alias
      lg = "lazygit";

      # cat, less, more alias
      cat = "bat $argv";
      less = "bat $argv";
      more = "bat $argv";
    };
  };
}
